#!/bin/sh
# Copyright 1991 Digital Equipment Corporation.
# All rights reserved. See copyright notice in attached file COPYRIGHT.
# Last modified on Sun Mar  3 14:40:38 1991 by burrows

lib=/usr/lib/nilib
data=/usr/spool/ni

# set the LANG variable if you want to use a non-ascii character set
# e.g.
# LANG=FRE_FR.8859

umask 2

cd $data

if [ ! -d current ] 
then
	mv old current || exit 2
fi

for x in groups index summary messages index.recent summary.recent delete \
	dates dates.recent
do
	if [ ! -f current/$x ]
	then
		cp /dev/null current/$x || exit 2
	fi
done

for x in index index.recent
do
	if [ ! -f current/$x.i ]
	then
		$lib/mksubindex < current/$x > current/$x.i || exit 2
	fi
done

exec $lib/netserver -e '\0' $lib/indexserver . $lib/makenewsindex
